Conversations
Create Conversation
Starts a new conversation with the given model.
POST
/
conversations
Create conversation
curl --request POST \
--url https://api.qwix.chat/api/v1/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"encryptionPassword": "<string>"
}
'import requests
url = "https://api.qwix.chat/api/v1/conversations"
payload = {
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"encryptionPassword": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
encryptionPassword: '<string>'
})
};
fetch('https://api.qwix.chat/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"encryptionEnabled": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
JWT from POST /auth/login, or an API key via the same header depending on client configuration.
Body
application/json
If set, enables AES-256-GCM encryption for all messages in this conversation. The password is not stored; only ciphertext is persisted. Use the same password with encryptionPassword (POST message) and header X-Conversation-Encryption-Password (GET messages).
Minimum string length:
8Response
Conversation created
⌘I
Create conversation
